package com.yuchen.saas.park.api.enums;

/**
 * @Date 2021/8/27 09:36
 * @Description  风向/风速级别/土壤酸碱度 对照枚举 3D/bi
 * 东、南、西、北、东北、西北、东南、西南
 * @author 任业政
 */
public enum WindDirectEnum {

    //东风
    EAST_BEGIN(56.26),
    EAST_END(101.25),

    //南风
    SOUTH_BEGIN(146.26),
    SOUTH_END(191.25),

    //西风
    WEST_BEGIN(236.26),
    WEST_END(281.25),

    //北风
    NORTH_BEGIN(326.26),
    NORTH_END(11.25),

    //东北风
    NE_BEGIN(11.26),
    NE_END(56.25),

    //西北风
    NW_BEGIN(281.26),
    NW_END(326.25),

    //东南风
    SE_BEGIN(101.26),
    SE_END(146.25),

    //西南风
    SW_BEGIN(191.26),
    SW_END(236.25),

    /******  风速级别定义 ******/

    //无风
    START_LEVEL(0.2),

    //软风
    ONE_LEVEL_BEGIN(0.3),
    ONE_LEVEL_END(1.5),

    //轻风
    TWO_LEVEL_BEGIN(1.6),
    TWO_LEVEL_END(3.3),

    //微风
    THREE_LEVEL_BEGIN(3.4),
    THREE_LEVEL_END(5.4),

    //和风
    FOUR_LEVEL_BEGIN(5.5),
    FOUR_LEVEL_END(7.9),

    //清劲风
    FIVE_LEVEL_BEGIN(8.0),
    FIVE_LEVEL_END(10.7),

    //强风
    SIX_LEVEL_BEGIN(10.8),
    SIX_LEVEL_END(13.8),

    //疾风
    SEVEN_LEVEL_BEGIN(13.9),
    SEVEN_LEVEL_END(17.1),

    //大风
    EIGHT_LEVEL_BEGIN(17.2),
    EIGHT_LEVEL_END(20.7),

    //烈风
    NINE_LEVEL_BEGIN(20.8),
    NINE_LEVEL_END(24.4),

    //狂风
    TEN_LEVEL_BEGIN(24.5),
    TEN_LEVEL_END(28.4),

    //暴风
    ELEVEN_LEVEL_BEGIN(28.5),
    ELEVEN_LEVEL_END(32.6),

    /************ PH级别 *************/

    //极强酸性
    START_PH(4.5),

    //强酸性
    ONE_PH_BEGIN(4.5),
    ONE_PH_END(5.5),

    //酸性
    TWO_PH_BEGIN(5.6),
    TWO_PH_END(6.5),

    //中性
    THREE_PH_BEGIN(6.6),
    THREE_PH_END(7.5),

    //碱性
    FOUR_PH_BEGIN(7.6),
    FOUR_PH_END(8.5),

    //强碱性
    FIVE_PH_BEGIN(8.6),
    FIVE_PH_END(9.5),


    /************ 降雨级别 *************/

    //无雨
    START_RAIN(0.0),

    //小雨
    ONE_RAIN_BEGIN(0.1),
    ONE_RAIN_END(9.9),

    //中雨
    TWO_RAIN_BEGIN(10.0),
    TWO_RAIN_END(24.9),

    //大雨
    THREE_RAIN_BEGIN(25.0),
    THREE_RAIN_END(49.9),

    //暴雨
    FOUR_RAIN_BEGIN(50.0),
    FOUR_RAIN_END(99.9),

    //大暴雨
    FIVE_RAIN_BEGIN(100.0),
    FIVE_RAIN_END(199.9),


    /************ 湿度 *************/

    START_HU(40.0),

    ONE_HU(80.0),


    /************ Pm25 *************/

    //优
    START_PM25(34.9),

    //良
    ONE_PM25_BEGIN(35.0),
    ONE_PM25_END(74.9),

    //轻度污染
    TWO_PM25_BEGIN(75.0),
    TWO_PM25_END(114.9),

    //中度污染
    THREE_PM25_BEGIN(115.0),
    THREE_PM25_END(149.9),

    //重度污染
    FOUR_PM25_BEGIN(150.0),
    FOUR_PM25_END(249.9),


    /************ Pm10 *************/

    //正常
    START_PM10(50.0),

    //轻微污染
    ONE_PM10_BEGIN(50.1),
    ONE_PM10_END(149.9),

    /************ 噪音 *************/

    //无噪音
    START_NOISE(30.0),

    //轻微噪音
    ONE_NOISE_BEGIN(30.1),
    ONE_NOISE_END(59.9),

    //中度噪音
    TWO_NOISE_BEGIN(60.0),
    TWO_NOISE_END(89.9),

    /************ 室内外温度 *************/

    //严寒
    START_TEMP(0.0),

    //寒冷
    ONE_TEMP_START(0.1),
    ONE_TEMP_END(10.0),

    //凉爽
    TWO_TEMP_BEGIN(10.1 ),
    TWO_TEMP_END(19.0),

    //舒适
    THREE_TEMP_BEGIN(19.1),
    THREE_TEMP_END(25.0),

    //温暖
    FOUR_TEMP_BEGIN(25.1),
    FOUR_TEMP_END(30.0),

    //炎热
    FIVE_TEMP_BEGIN(30.1),
    FIVE_TEMP_END(36.0);

    private Double value;

    WindDirectEnum(Double value) {
        this.value = value;
    }

    public Double getValue() {
        return value;
    }
}
